Package ghidra.app.util.pcode

# Class StringPcodeFormatter.ToStringAppender

java.lang.Object
ghidra.app.util.pcode.AbstractAppender<String>
ghidra.app.util.pcode.StringPcodeFormatter.ToStringAppender

Enclosing class:
  `StringPcodeFormatter`

protected static class StringPcodeFormatter.ToStringAppender extends AbstractAppender<String>

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.pcode.AbstractAppender

  `indent, language`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToStringAppender(Language language, boolean labeled)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `appendEndOfLine()`
  `default void`
  `appendLineLabel(long label)`
  Append a line label, usually meant to be on its own line
  `protected void`
  `appendString(String string)`
  Append a plain string.
  `String`
  `finish()`

  ### Methods inherited from class ghidra.app.util.pcode.AbstractAppender

  `appendAddressWordOffcut, appendCharacter, appendIndent, appendLabel, appendLineLabelRef, appendMnemonic, appendRawVarnode, appendRegister, appendScalar, appendSpace, appendUnique, appendUserop, getLanguage, stringifyLineLabel, stringifyOpMnemonic, stringifyRawVarnode, stringifyRegister, stringifyScalarValue, stringifySpace, stringifyUnique, stringifyUserop, stringifyUseropUnchecked, stringifyWordOffcut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ToStringAppender

    public ToStringAppender(Language language, boolean labeled)

- ## Method Details

  - ### appendEndOfLine

    protected void appendEndOfLine()

  - ### appendString

    protected void appendString(String string)
    Description copied from class: `AbstractAppender`
    Append a plain string.

    By default, all append method delegate to this, so either it must be implemented, or every other append method must be overridden to avoid ever invoking this method. The default implementation throws an assertion error.

    Overrides:
      `appendString` in class `AbstractAppender<String>`
    Parameters:
      `string` - the string to append

  - ### finish

    public String finish()

  - ### appendLineLabel

    default void appendLineLabel(long label)
    Append a line label, usually meant to be on its own line
    Parameters:
      `label` - the label number